/* xtdio.h: */
#ifndef XTDIO_H
#define XTDIO_H

/* --------------------------------------------------------------------- */

#ifdef sgi
#include <strings.h>
#include <stdlib.h>
#include <stdarg.h>
#endif

#ifdef apollo
#include <string.h>
#include <stdarg.h>
#include <stdlib.h>
#endif

#ifdef ultrix
#include <strings.h>
#include "xstdlib.h"
#include <varargs.h>
#endif

#ifdef sun
#include <string.h>
# ifdef __STDC__
#  include <stdlib.h>
#  include <stdarg.h>
# else
#  include "xstdlib.h"
#  include "varargs.h"
# endif
#endif

#ifdef vms
#include <string.h>
#include <stdlib.h>
#include <stdarg.h>
#endif

#ifdef MSDOS
#include <string.h>
#include <stdlib.h>
#include <stdarg.h>
#endif

#ifdef _AIX
#include <string.h>
#include <stdarg.h>
#include <stdlib.h>
#endif

/* SCO Unix */
#if defined(M_I386) && defined(M_SYSV)
#include <stdlib.h>
#include <stdarg.h>
#endif

#ifdef __osf__
# include <strings.h>
# include <stdlib.h>
# include <stdarg.h>
#endif

#include "rdcolor.h"

/* ---------------------------------------------------------------------
 * Definitions:
 */
#ifndef __PROTOTYPE__

#ifdef vms
#define __PROTOTYPE__

#else

#if defined(sgi)   || defined(apollo)    || defined(__STDC__) || \
    defined(MSDOS) || defined(MCH_AMIGA) || defined(__osf__)
#define __PROTOTYPE__

#endif	/* #if ... */
#endif	/* #ifdef vms ... */
#endif	/* #ifdef __PROTOTYPE__ ... */

#define SEVERE      0
#define ERROR       1
#ifndef WARNING
#define WARNING     2
#endif
#define NOTE        3

/* ---------------------------------------------------------------------
 * Typedefs:
 */

/* ---------------------------------------------------------------------
 * Global Variables:
 */
#ifdef __PROTOTYPE__
extern void (*error_exit)(int);
#else
extern void (*error_exit)();
#endif

/* ---------------------------------------------------------------------
 * Prototypes:
 */
#ifdef __PROTOTYPE__

void error(int, char *, ...);                          /* error.c         */
FILE *fopenv(char *, char *, char *);                  /* fopenv.c        */
void outofmem(void *, char *, ...);                    /* outofmem.c      */
void rdcolor(void);                                    /* rdcolor.c       */
void rdcputs(char *, FILE *);                          /* rdcolor.c       */
char *sprt(const char *);                              /* sprt.c          */
void srmtrblk(char *);                                 /* srmtrblk.c      */
char *stpblk(char *);                                  /* stpblk.c        */
char *stpnxt(char *, char *);                          /* stpnxt.c        */
char *strnxtfmt(char *);                               /* strnxtfmt.c     */

#else	/* __PROTOTYPE__ */

extern char *stpnxt();                                 /* stpnxt.c        */
extern char *stpblk();                                 /* stpblk.c        */
extern FILE *fopenv();                                 /* fopenv.c        */
extern char *sprt();                                   /* sprt.c          */
extern char *strnxtfmt();                              /* strnxtfmt.c     */

#endif	/* __PROTOTYPE__ */

#endif
